﻿@model PontosCulturais.ViewModels.CadastroEspaçoCulturalViewModel

<a class="btn btn-success mb-5" asp-controller="Painel" asp-action="Mostrar">Menu Principal</a>

@await Html.PartialAsync("_Aviso", Model.Aviso)

<form asp-action="InserirEspaco" asp-antiforgery="true" method="post">
    <div class="form-group row">
        <div class="col-sm-5">
            <label>Nome do Espaço Cultural*</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Nome" />
        </div>

        <div class="col-sm-3">
            <label>Telefone*</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Telefone" />
        </div>

        <div class="col-sm-4">
            <label>Nome Popular</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.NomePopular" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>CNPJ</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Cnpj" />
        </div>

        <div class="col-sm-6">
            <label>Razão Social</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.RazãoSocial" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-8">
            <label>Endereço*</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Endereço" />
        </div>

        <div class="col-sm-4">
            <label>Bairro*</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Bairro" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Abertura do Espaço*</label>
            <input type="date" class="form-control" asp-for="EspaçoCultural.DataFuncionamento" />
        </div>

        <div class="col-sm-6">
            <label>Quantidade de Funcionários*</label>
            <input type="number" class="form-control" asp-for="EspaçoCultural.Funcionários" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Atividades do Espaço*</label>
            <textarea class="form-control" rows="4" asp-for="EspaçoCultural.TipoAtendimento"></textarea>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Informações Adicionais de Atuação</label>
            <textarea class="form-control" rows="2" asp-for="EspaçoCultural.InformaçõesAdicionaisAtuação"></textarea>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-4">
            <label>Situação das Atividades</label>
            <select class="form-control" asp-for="EspaçoCultural.SituaçãoAtividadeId" asp-items="new SelectList(Model.SituaçõesAtividade, nameof(SituaçãoAtividadeModelo.Id), nameof(SituaçãoAtividadeModelo.Nome),
                    Model.EspaçoCultural.SituaçãoAtividadeId)"></select>
        </div>

        <div class="col-sm-4">
            <label>Lotação Máxima</label>
            <input type="number" class="form-control" asp-for="EspaçoCultural.LotaçãoMáxima" />
        </div>

        <div class="col-sm-4">
            <label>Situação do Imóvel</label>
            <select class="form-control" asp-for="EspaçoCultural.SituaçãoEspaçoId" asp-items="new SelectList(Model.SituaçõesBeneficiário, nameof(SituaçãoBeneficiárioModelo.Id), nameof(SituaçãoBeneficiárioModelo.Nome),
                    Model.EspaçoCultural.SituaçãoEspaçoId)">
            </select>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Tipos de Atividade*</label>
            <select class="form-control" asp-items="new SelectList(Model.TiposAtividades, nameof(TipoDeAtividadeModelo.Id), nameof(TipoDeAtividadeModelo.Nome), Model.IdsTiposAtividades)"
                    asp-for="IdsTiposAtividades"></select>
        </div>

        <div class="col-sm-6">
            <label>Segmentos Culturais*</label>
            <select class="form-control" asp-for="IdsSegmentosCulturais" asp-items="new SelectList(Model.SegmentosCulturais, nameof(SegmentoCulturalModelo.Id), nameof(SegmentoCulturalModelo.Nome),
                    Model.IdsSegmentosCulturais)"></select>
        </div>

    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Modos de Funcionamento*</label>
            <select class="form-control" asp-for="IdsModosFuncionamento" asp-items="new SelectList(Model.ModosFuncionamento, nameof(ModoFuncionamentoModelo.Id), nameof(ModoFuncionamentoModelo.Nome),
                    Model.ModosFuncionamento)"></select>
        </div>

        <div class="col-sm-6">
            <label>Origem dos Recursos*</label>
            <select class="form-control" asp-for="IdsOrigensRecursos" asp-items="new SelectList(Model.OrigensRecursos, nameof(OrigemRecursosModelo.Id), nameof(OrigemRecursosModelo.Nome),
                    Model.IdsOrigensRecursos)"></select>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Atividades Desenvolvidas*</label>
            <select class="form-control" asp-for="IdsEquipamentos" asp-items="new SelectList(Model.EquipamentosCulturais, nameof(EquipamentoCulturalModelo.Id), nameof(EquipamentoCulturalModelo.Nome),
                    Model.IdsEquipamentos)" size="10"></select>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Receita Anual</label>
            <select class="form-control" asp-for="EspaçoCultural.ReceitaAnualId" asp-items="new SelectList(Model.ReceitasAnuais, nameof(ReceitaAnualModelo.Id), nameof(ReceitaAnualModelo.Nome),
                    Model.EspaçoCultural.ReceitaAnual)"></select>
        </div>

        <div class="col-sm-6">
            <label>Despesa Anual</label>
            <select class="form-control" asp-for="EspaçoCultural.GastoAnualId" asp-items="new SelectList(Model.GastosAnuais, nameof(GastoAnualModelo.Id), nameof(GastoAnualModelo.Nome),
                    Model.EspaçoCultural.GastoAnualId)"></select>
        </div>
    </div>

    <div class="form-group form-check row">
        <div class="col">
            <input type="checkbox" class="form-check-input" asp-for="EspaçoCultural.AtendimentoPago" />
            <label class="form-check-label">O atendimento realizado no espaço cultural é pago.</label>
        </div>
    </div>
    <div class="form-group form-check row">
        <div class="col">
            <input type="checkbox" class="form-check-input" asp-for="EspaçoCultural.DocumentoVínculoEmpregatícioFuncionários" />
            <label class="form-check-label">Tenho documentos que comprovam o vínculo empregatício dos funcionários.</label>
        </div>
    </div>

    <div class="form-group form-check row">
        <div class="col">
            <input type="checkbox" class="form-check-input" asp-for="EspaçoCultural.PossuiAlvaráDeFuncionamento" />
            <label class="form-check-label">Possuo alvará de funcionamento.</label>
        </div>
    </div>

    <div class="form-group form-check row">
        <div class="col">
            <input type="checkbox" class="form-check-input" asp-for="EspaçoCultural.InterrompidoPelaPandemia" />
            <label class="form-check-label">Tive minhas atividades interrompidas pela pandemia de Covid-19.</label>
        </div>
    </div>

    <div class="form-group form-check row">
        <div class="col">
            <input type="checkbox" class="form-check-input" asp-for="EspaçoCultural.DeclaraçãoInformaçõesVerídicas" />
            <label class="form-check-label">Declaro que as informações são verídicas, estando sujeito às aplicações da lei.</label>
        </div>
    </div>

    <button type="submit" class="btn btn-primary">Enviar</button>
</form> 